
#ifndef BGOSD_h
#define BGOSD_h 1

#include "G4VSensitiveDetector.hh"

#include "BGOHIT.hh"

#include <vector>

class G4Step;
class G4HCofThisEvent;

class BGOSD : public G4VSensitiveDetector
{
  public:
    BGOSD(const G4String& name, const G4String& hitsCollectionName, const G4int nCrystal);
    virtual ~BGOSD();
  
    // methods from base class
    virtual void   Initialize(G4HCofThisEvent* hitCollection);
    virtual G4bool ProcessHits(G4Step* step, G4TouchableHistory* history);
    virtual void   EndOfEvent(G4HCofThisEvent* hitCollection);

  private:
    BGOHitsCollection* fHitsCollection;

    G4int fNDet;
};

#endif

